gtksourceviewmm: gtksourceviewmm Enums and Flags

gtksourceviewmm 3.18.0

Enumerations | Functions
gtksourceviewmm Enums and Flags

## Enumerations
enum | Gsv::BracketMatchType { Gsv::BRACKET_MATCH_NONE , Gsv::BRACKET_MATCH_OUT_OF_RANGE , Gsv::BRACKET_MATCH_NOT_FOUND , Gsv::BRACKET_MATCH_FOUND }
| Describes result of matching brackets. More...
enum | Gsv::CompletionActivation { Gsv::COMPLETION_ACTIVATION_NONE = 0x0 , Gsv::COMPLETION_ACTIVATION_INTERACTIVE = 1 << 0 , Gsv::COMPLETION_ACTIVATION_USER_REQUESTED = 1 << 1 }
| An enum type specifying something bla bla bla, probably type of activation. More...
enum | Gsv::GutterRendererState { Gsv::GUTTER_RENDERER_STATE_NORMAL = 0x0 , Gsv::GUTTER_RENDERER_STATE_CURSOR = 1 << 0 , Gsv::GUTTER_RENDERER_STATE_PRELIT = 1 << 1 , Gsv::GUTTER_RENDERER_STATE_SELECTED = 1 << 2 }
enum | Gsv::GutterRendererAlignmentMode { Gsv::GUTTER_RENDERER_ALIGNMENT_MODE_CELL , Gsv::GUTTER_RENDERER_ALIGNMENT_MODE_FIRST , Gsv::GUTTER_RENDERER_ALIGNMENT_MODE_LAST }
enum | Gsv::SmartHomeEndType { Gsv::SMART_HOME_END_DISABLED , Gsv::SMART_HOME_END_BEFORE , Gsv::SMART_HOME_END_AFTER , Gsv::SMART_HOME_END_ALWAYS }
| Defines a behaviour of smart Home/End keys. More...
enum | Gsv::DrawSpacesFlags { Gsv::DRAW_SPACES_SPACE = 1 << 0 , Gsv::DRAW_SPACES_TAB = 1 << 1 , Gsv::DRAW_SPACES_NEWLINE = 1 << 2 , Gsv::DRAW_SPACES_NBSP = 1 << 3 , Gsv::DRAW_SPACES_LEADING = 1 << 4 , Gsv::DRAW_SPACES_TEXT = 1 << 5 , Gsv::DRAW_SPACES_TRAILING = 1 << 6 , Gsv::DRAW_SPACES_ALL = 0x7F }
| Determines what kind of whitespaces whould be drawn. More...

## Functions
CompletionActivation | Gsv::operator| (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | Gsv::operator& (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | Gsv::operator^ (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | Gsv::operator~ (CompletionActivation flags)
CompletionActivation& | Gsv::operator|= (CompletionActivation& lhs, CompletionActivation rhs)
CompletionActivation& | Gsv::operator&= (CompletionActivation& lhs, CompletionActivation rhs)
CompletionActivation& | Gsv::operator^= (CompletionActivation& lhs, CompletionActivation rhs)
GutterRendererState | Gsv::operator| (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | Gsv::operator& (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | Gsv::operator^ (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | Gsv::operator~ (GutterRendererState flags)
GutterRendererState& | Gsv::operator|= (GutterRendererState& lhs, GutterRendererState rhs)
GutterRendererState& | Gsv::operator&= (GutterRendererState& lhs, GutterRendererState rhs)
GutterRendererState& | Gsv::operator^= (GutterRendererState& lhs, GutterRendererState rhs)
DrawSpacesFlags | Gsv::operator| (DrawSpacesFlags lhs, DrawSpacesFlags rhs)
DrawSpacesFlags | Gsv::operator& (DrawSpacesFlags lhs, DrawSpacesFlags rhs)
DrawSpacesFlags | Gsv::operator^ (DrawSpacesFlags lhs, DrawSpacesFlags rhs)
DrawSpacesFlags | Gsv::operator~ (DrawSpacesFlags flags)
DrawSpacesFlags& | Gsv::operator|= (DrawSpacesFlags& lhs, DrawSpacesFlags rhs)
DrawSpacesFlags& | Gsv::operator&= (DrawSpacesFlags& lhs, DrawSpacesFlags rhs)
DrawSpacesFlags& | Gsv::operator^= (DrawSpacesFlags& lhs, DrawSpacesFlags rhs)

## Detailed Description

## Enumeration Type Documentation

## ◆ BracketMatchType

enum Gsv::BracketMatchType

Describes result of matching brackets.

Since gtksourceviewmm 3.0

Enumerator
BRACKET_MATCH_NONE | There was no bracket to match.
BRACKET_MATCH_OUT_OF_RANGE | Matching a bracket failed because the maximum range was reached.
BRACKET_MATCH_NOT_FOUND | A matching bracket was not found.
BRACKET_MATCH_FOUND | A matching bracket was found.

## ◆ CompletionActivation

enum Gsv::CompletionActivation

An enum type specifying something bla bla bla, probably type of activation.

Since gtksourceviewmm 2.10

Bitwise operators:
  `CompletionActivation operator|(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator&(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator^(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator~(CompletionActivation)`
  `CompletionActivation& operator|=(CompletionActivation&, CompletionActivation)`
  `CompletionActivation& operator&=(CompletionActivation&, CompletionActivation)`
  `CompletionActivation& operator^=(CompletionActivation&, CompletionActivation)`

Enumerator
COMPLETION_ACTIVATION_NONE | None.
COMPLETION_ACTIVATION_INTERACTIVE | Interactive activation.
COMPLETION_ACTIVATION_USER_REQUESTED | User requested activation. For example through a keyboard accelerator from the view.

## ◆ DrawSpacesFlags

enum Gsv::DrawSpacesFlags

Determines what kind of whitespaces whould be drawn.

Bitwise operators:
  `DrawSpacesFlags operator|(DrawSpacesFlags, DrawSpacesFlags)`
  `DrawSpacesFlags operator&(DrawSpacesFlags, DrawSpacesFlags)`
  `DrawSpacesFlags operator^(DrawSpacesFlags, DrawSpacesFlags)`
  `DrawSpacesFlags operator~(DrawSpacesFlags)`
  `DrawSpacesFlags& operator|=(DrawSpacesFlags&, DrawSpacesFlags)`
  `DrawSpacesFlags& operator&=(DrawSpacesFlags&, DrawSpacesFlags)`
  `DrawSpacesFlags& operator^=(DrawSpacesFlags&, DrawSpacesFlags)`

Enumerator
DRAW_SPACES_SPACE | Whether the space character should be drawn.
DRAW_SPACES_TAB | Whether the tab character should be drawn.
DRAW_SPACES_NEWLINE | Whether the line breaks should be drawn.
DRAW_SPACES_NBSP | Whether the non-breaking whitespaces should be drawn.
DRAW_SPACES_LEADING |
DRAW_SPACES_TEXT |
DRAW_SPACES_TRAILING |
DRAW_SPACES_ALL | Whether all kind of whitespaces should be drawn.

## ◆ GutterRendererAlignmentMode

enum Gsv::GutterRendererAlignmentMode

Enumerator
GUTTER_RENDERER_ALIGNMENT_MODE_CELL |
GUTTER_RENDERER_ALIGNMENT_MODE_FIRST |
GUTTER_RENDERER_ALIGNMENT_MODE_LAST |

## ◆ GutterRendererState

enum Gsv::GutterRendererState

Bitwise operators:
  `GutterRendererState operator|(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator&(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator^(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator~(GutterRendererState)`
  `GutterRendererState& operator|=(GutterRendererState&, GutterRendererState)`
  `GutterRendererState& operator&=(GutterRendererState&, GutterRendererState)`
  `GutterRendererState& operator^=(GutterRendererState&, GutterRendererState)`

Enumerator
GUTTER_RENDERER_STATE_NORMAL |
GUTTER_RENDERER_STATE_CURSOR |
GUTTER_RENDERER_STATE_PRELIT |
GUTTER_RENDERER_STATE_SELECTED |

## ◆ SmartHomeEndType

enum Gsv::SmartHomeEndType

Defines a behaviour of smart Home/End keys.

Enumerator
SMART_HOME_END_DISABLED | Smart-home-end disabled.
SMART_HOME_END_BEFORE | Move to the first/last non-whitespace character on the first press of the HOME/END keys and to the beginning/end of the line on the second press.
SMART_HOME_END_AFTER | Move to the beginning/end of the line on the first press of the HOME/END keys and to the first/last non-whitespace character on the second press.
SMART_HOME_END_ALWAYS | Always move to the first/last non-whitespace character when the HOME/END keys are pressed.

## Function Documentation

## ◆ operator&() [1/3]

CompletionActivation Gsv::operator& | ( | CompletionActivation | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator&() [2/3]

DrawSpacesFlags Gsv::operator& | ( | DrawSpacesFlags | lhs,
|  | DrawSpacesFlags | rhs )
| inline

## ◆ operator&() [3/3]

GutterRendererState Gsv::operator& | ( | GutterRendererState | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator&=() [1/3]

CompletionActivation& Gsv::operator&= | ( | CompletionActivation& | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator&=() [2/3]

DrawSpacesFlags& Gsv::operator&= | ( | DrawSpacesFlags& | lhs,
|  | DrawSpacesFlags | rhs )
| inline

## ◆ operator&=() [3/3]

GutterRendererState& Gsv::operator&= | ( | GutterRendererState& | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator^() [1/3]

CompletionActivation Gsv::operator^ | ( | CompletionActivation | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator^() [2/3]

DrawSpacesFlags Gsv::operator^ | ( | DrawSpacesFlags | lhs,
|  | DrawSpacesFlags | rhs )
| inline

## ◆ operator^() [3/3]

GutterRendererState Gsv::operator^ | ( | GutterRendererState | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator^=() [1/3]

CompletionActivation& Gsv::operator^= | ( | CompletionActivation& | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator^=() [2/3]

DrawSpacesFlags& Gsv::operator^= | ( | DrawSpacesFlags& | lhs,
|  | DrawSpacesFlags | rhs )
| inline

## ◆ operator^=() [3/3]

GutterRendererState& Gsv::operator^= | ( | GutterRendererState& | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator|() [1/3]

CompletionActivation Gsv::operator| | ( | CompletionActivation | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator|() [2/3]

DrawSpacesFlags Gsv::operator| | ( | DrawSpacesFlags | lhs,
|  | DrawSpacesFlags | rhs )
| inline

## ◆ operator|() [3/3]

GutterRendererState Gsv::operator| | ( | GutterRendererState | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator|=() [1/3]

CompletionActivation& Gsv::operator|= | ( | CompletionActivation& | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator|=() [2/3]

DrawSpacesFlags& Gsv::operator|= | ( | DrawSpacesFlags& | lhs,
|  | DrawSpacesFlags | rhs )
| inline

## ◆ operator|=() [3/3]

GutterRendererState& Gsv::operator|= | ( | GutterRendererState& | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator~() [1/3]

CompletionActivation Gsv::operator~ | ( | CompletionActivation | flags | ) |
| inline

## ◆ operator~() [2/3]

DrawSpacesFlags Gsv::operator~ | ( | DrawSpacesFlags | flags | ) |
| inline

## ◆ operator~() [3/3]

GutterRendererState Gsv::operator~ | ( | GutterRendererState | flags | ) |
| inline